# coaching

Coaching sessions and signups. *Please note the following when retrieving a list of coaching sessions*:
If unauthenticated, the list contains all potentially available opportunities for coaching sessions that match the criteria of the query parameters. Private group sessions, however, are hidden.
With authentication the list will only present sessions to which at least one of the authenticated user or their family members, have access which means:
1. Groups leaders, group deputies and event organisers will see all available (and booked) sessions
2. Otherwise, the user must either be a member of the group or be eligible to join the group

Only sessions that involve a client fee are shown and group sessions must be booked.
For individual sessions, all booking slots that fall within the leaders' availability periods (as per their preferences) will be shown.
Only available court slots will show and only those that match the expected duration as set for each fee option. For individual sessions, only courts that are "preferred" by the coach in their preferences are available.
The results returned are sorted in date/time order - earliest to latest

 - [GET /my/coaching/clubs](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1clubs/get.md)
 - [GET /my/coaching/affiliates](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1affiliates/get.md)
 - [GET /my/coaching/sessions/club/{id}](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1sessions~1club~1%7Bid%7D/get.md)
 - [GET /my/coaching/sessions/affiliate/{id}](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1sessions~1affiliate~1%7Bid%7D/get.md)
 - [GET /my/coaching/sessions/owner/{id}](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1sessions~1owner~1%7Bid%7D/get.md)
 - [GET /my/coaching/sessions/coach/{id}](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1sessions~1coach~1%7Bid%7D/get.md)
 - [POST /my/coaching/session](https://mmm.redocly.app/api/coaching/paths/~1my~1coaching~1session/post.md): The action to take is inferred from the state of the session with respect to the client. For example, if the client is already participating the action will remove the client from participation. If th
 - [GET /coaching/clubs](https://mmm.redocly.app/api/coaching/paths/~1coaching~1clubs/get.md)
 - [GET /coaching/affiliates](https://mmm.redocly.app/api/coaching/paths/~1coaching~1affiliates/get.md)
 - [GET /coaching/coaches](https://mmm.redocly.app/api/coaching/paths/~1coaching~1coaches/get.md)
 - [GET /coaching/sports](https://mmm.redocly.app/api/coaching/paths/~1coaching~1sports/get.md)
 - [GET /coaching/sessions/club/{id}](https://mmm.redocly.app/api/coaching/paths/~1coaching~1sessions~1club~1%7Bid%7D/get.md)
 - [GET /coaching/sessions/affiliate/{id}](https://mmm.redocly.app/api/coaching/paths/~1coaching~1sessions~1affiliate~1%7Bid%7D/get.md)
 - [GET /coaching/sessions/owner/{id}](https://mmm.redocly.app/api/coaching/paths/~1coaching~1sessions~1owner~1%7Bid%7D/get.md)
 - [GET /coaching/sessions/coach/{id}](https://mmm.redocly.app/api/coaching/paths/~1coaching~1sessions~1coach~1%7Bid%7D/get.md)
